module.exports = 
class Player{
	constructor(ws, id) {
		this.ws = ws;
		this.id = id;
		this.name = "<unnamed " + id + ">";
		this.x = Math.floor(Math.random() * 2000);
		this.y = Math.floor(Math.random() * 2000);
		this.direction = Math.floor(Math.random() * 7);
		this.scorec = 0;
		this.size = 40;
		this.color = {
			r: Math.floor(Math.random() * 255),
			g: Math.floor(Math.random() * 255),
			b: Math.floor(Math.random() * 255)
		};
	}
	set score(val) {
		this.scorec = val;
		this.size = this.scorec + 40;
	}
	get score() {
		return this.scorec;
	}
	updatePosition() {
		if(this.direction == undefined)
			return;
		this.x += Math.sin(this.direction) * (20 - this.size * 0.02);
		this.y += Math.cos(this.direction) * (20 - this.size * 0.02);
		if (this.x < 50)
			this.x = 50;
		if (this.x > 1950)
			this.x = 1950;
		if (this.y < 50)
			this.y = 50;
		if (this.y > 1950)
			this.y = 1950;
	}
}