class Player {
	constructor(destination) {
		this.element = document.createElement("div");
		this.element.className = "player";
		this.nameElement = document.createElement("div");
		this.element.appendChild(this.nameElement);
		this.nameElement.className = "name";
		destination.appendChild(this.element);
	}
	set x(val) {
		this.xval = val;
		this.element.style.left = val + "px";
	}
	get x() {
		return this.xval;
	}
	set y(val) {
		this.yval = val;
		this.element.style.top = val + "px";
	}
	get y() {
		return this.yval;
	}
	set color({r, g, b}) {
		this.element.style.background = "rgb(" + r + "," + g + "," + b + ")";
		this.element.style.borderColor = "rgb(" + Math.floor(r * 0.7) + ","
												+ Math.floor(g * 0.7) + ","
												+ Math.floor(b * 0.7) + ")";
	}
	set ssize(val) {
		this.size = val;
		this.element.style.width = this.size + "px";
		this.element.style.height = this.size + "px";
	}
	set sname(val) {
		this.nameElement.textContent = val;
	}
}